1. Contact
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Contact

Get Customer List W Branch Id

GET
/api/v1/customers

Customer List#

Purpose#

Retrieve customer records available in Branch.

Why would you use this?#

Use this API when your system needs to access, synchronize, or display customer information stored in VasyERP.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
limitYesNumber of customer records to retrieve per request
offsetYesNumber of records to skip for pagination

Information Returned#

FieldDescription
contactIdUnique identifier of the customer
customerNameCustomer name
mobileNoCustomer mobile number
emailCustomer email address
gstNoCustomer GST number (if available)
customerTypeType of customer
loyaltyPointsCustomer loyalty points
branchIdAssociated branch identifier

Example Use Case#

A merchant operates an eCommerce website and wants to maintain the same customer database in both the website and VasyERP.
Using this API, the website can periodically fetch customer information and keep customer records synchronized.

Important Notes#

Customer IDs (contactId) are required for many customer-related APIs.
Use pagination (limit and offset) when retrieving large customer datasets.
Store customer IDs in your system for future operations.
Customer details can be retrieved using the Customer Details API.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
🟠400BranchID Validation
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/customers?offset=0&limit=1&branch_id=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Customer List",
    "code": "200",
    "response": {
        "totalCount": 25,
        "contactList": [
            {
                "firstName": "9991482617",
                "lastName": "",
                "contactId": 5313756,
                "companyName": "",
                "mobNo": "9991482617",
                "telephone": "",
                "whatsAppNo": "",
                "email": "",
                "dateOfBirth": null,
                "anniversaryDate": null,
                "gstType": "UnRegistered",
                "gstin": "",
                "pan": "",
                "stateName": "Haryana",
                "countryName": "India",
                "cityName": "GURUGRAM",
                "contactType": "",
                "status": false,
                "countryDialCodePrefix": 0,
                "countryDialCodePrefixWhatsapp": 0,
                "lastModifiedOn": "2026-05-26 11:44:03.038461+05:30",
                "lastModifiedBy": "my business",
                "loyaltyPoints": 0,
                "branchName": "my business",
                "branchId": 24448,
                "accountCustomId": 6126139
            }
        ]
    }
}
Previous
SubBrand
Next
Get Contact By Id
Built with